Updated the snapshot script for Mercurial
authorSam Lantinga <slouken@libsdl.org>
Tue, 18 Jan 2011 14:21:10 -0800
changeset 5019 64a2d8f538a1
parent 5018 342b158efbbe
child 5020 6dfc9c4a9ae5
Updated the snapshot script for Mercurial
build-scripts/snapshot.sh
--- a/build-scripts/snapshot.sh	Tue Jan 18 10:57:28 2011 -0800
+++ b/build-scripts/snapshot.sh	Tue Jan 18 14:21:10 2011 -0800
@@ -3,7 +3,7 @@
 # Generate a current snapshot from source control
 
 echo "Checking out source"
-svn co -q http://svn.libsdl.org/trunk/SDL
+hg clone http://hg.libsdl.org/SDL || exit $?
 (cd SDL && ./autogen.sh && rm -rf autom4te.cache)
 sh SDL/build-scripts/updaterev.sh
 cp SDL/include/SDL_config.h.default SDL/include/SDL_config.h
@@ -15,7 +15,7 @@
 patch=`fgrep "#define SDL_PATCHLEVEL" SDL/include/SDL_version.h | \
        sed 's,[^0-9]*\([0-9]*\),\1,'`
 rev=`fgrep "#define SDL_REVISION" SDL/include/SDL_revision.h | \
-       sed 's,[^0-9]*\([0-9]*\),\1,'`
+       sed 's,[^0-9]*\([0-9]*\):.*,\1,'`
 path="SDL-$major.$minor.$patch-$rev"
 
 mv SDL $path
@@ -25,9 +25,3 @@
 rm -f $path.zip
 zip -rq $path.zip $path
 rm -rf $path
-
-#ln -sf $path.tar.gz SDL-1.3.tar.gz
-#ln -sf $path.zip SDL-1.3.zip
-#date=`date +"%a %b %e"`
-#sed -e "s/<-- SDL 1.3 DATE -->.*/<-- SDL 1.3 DATE --> $date/" <../svn.php >../svn.php.new
-#mv ../svn.php.new ../svn.php